org.jbpm.services.task.commands

## Class TaskQueryDataCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.TaskQueryDataCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>

      public class TaskQueryDataCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskQueryDataCommand()`
    `TaskQueryDataCommand(org.kie.internal.query.data.QueryData data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)`
    `org.kie.internal.query.data.QueryData` | `getQueryData()`
    `void` | `setQueryData(org.kie.internal.query.data.QueryData queryData)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskQueryDataCommand

          public TaskQueryDataCommand()

    - #### TaskQueryDataCommand

          public TaskQueryDataCommand(org.kie.internal.query.data.QueryData data)

  - ### Method Detail

    - #### getQueryData

          public org.kie.internal.query.data.QueryData getQueryData()

    - #### setQueryData

          public void setQueryData(org.kie.internal.query.data.QueryData queryData)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.internal.command.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.